(setq hasMilliSecs (/= (getvar "MILLISECS") nil))
(setvar "LOGFILEMODE" 0)

(defun t_and ( count fptr / time1 time2 )
  ;;-----------------------------
  (setq time1 (getvar "MILLISECS"))
  (if (not time1) (setq time1 (getvar "TDUSRTIMER")))
  (if (not time1) (setq time1 0.0))

  (repeat (* count count)
      (and nil 123 456)
      (and t 123 456 "123" "456" nil)
      (and t 123 456 "123" "456")
      (and 123 456 "123" "456" t)
      (and 'ABC 'DEF "123" "456" t)
  )

  (setq time2 (getvar "MILLISECS"))
  (if (not time2) (setq time2 (getvar "TDUSRTIMER")))
  (if (not time2) (setq time2 0.0))
  ;;-----------------------------
  (setq bench$seconds (if hasMilliSecs (* 0.001 (- time2 time1)) (* 86400.0 (- time2 time1))))
  (princ (strcat "* AND : " (rtos bench$seconds 2 2) "\n"))
  (if fptr
    (princ (strcat "* AND : " (rtos bench$seconds 2 2) "\n") fptr)
  )

  bench$seconds
)

(defun t_or ( count fptr / time1 time2 )
  ;;-----------------------------
  (setq time1 (getvar "MILLISECS"))

  (repeat count
    (repeat (1- count)
      (or nil 123 456)
      (or t 123 456 "123" "456" nil)
      (or nil nil nil nil nil t)
      (or nil 'ABC 'DEF)
    )
  )

  (setq time2 (getvar "MILLISECS"))
  (if (not time2) (setq time2 (getvar "TDUSRTIMER")))
  (if (not time2) (setq time2 0.0))
  ;;-----------------------------
  (setq bench$seconds (if hasMilliSecs (* 0.001 (- time2 time1)) (* 86400.0 (- time2 time1))))
  (princ (strcat "* OR : " (rtos bench$seconds 2 2) "\n"))
  (if fptr
    (princ (strcat "* OR : " (rtos bench$seconds 2 2) "\n") fptr)
  )
  bench$seconds
)

(princ)

