(setq hasMilliSecs (/= (getvar "MILLISECS") nil))
(setvar "LOGFILEMODE" 0)

(vl-load-com)

(defun t_vlsymbolvalue ( count fptr / time1 time2 ename sym1 sym2 sym3 )

  ;;-----------------------------
  (setq sym1 "abc")
  (setq sym2 123)
  (setq sym3 1.3)
  (command "_line" "0,0" "1,1" "")
  (setq ename (entlast))
  ;;-----------------------------
  (setq time1 (getvar "MILLISECS"))
  (if (not time1) (setq time1 (getvar "TDUSRTIMER")))
  (if (not time1) (setq time1 0.0))

  (repeat (* count count)
    (vl-symbol-value 'ename)
    (vl-symbol-value 'sym1)
    (vl-symbol-value 'sym2)
    (vl-symbol-value 'sym3)
  )

  (setq time2 (getvar "MILLISECS"))
  (if (not time2) (setq time2 (getvar "TDUSRTIMER")))
  (if (not time2) (setq time2 0.0))
  ;;-----------------------------
  (entdel ename)
  ;;-----------------------------
  (setq bench$seconds (if hasMilliSecs (* 0.001 (- time2 time1)) (* 86400.0 (- time2 time1))))
  (princ (strcat "* VL-SYMBOL-VALUE : " (rtos bench$seconds 2 3) "\n"))
  (if fptr                                     
    (princ (strcat "* VL-SYMBOL-VALUE : " (rtos bench$seconds 2 3) "\n") fptr)
  )
  bench$seconds
)

;; to increase/decrease the number of bench loops : > 1 increase < 1 decrease
(if (not $benchcyclesfactor) (setq $benchcyclesfactor 1))

;; to run this loaded test manually
(defun C:Run ()
  (setvar "cmdecho" 0)
  (print)
  (t_vlsymbolvalue (* 1000 $benchcyclesfactor) nil)
  (setvar "cmdecho" 1)
  (princ)
)
