(setq hasMilliSecs (/= (getvar "MILLISECS") nil))
(setvar "LOGFILEMODE" 0)

(defun t_sslength ( count fptr / time1 time2 ss )
  ;;-----------------------------
  (setq ss (ssadd))
  (command "_line" (list 2 3) (list 3 3) "")
  (setq ss (ssadd  (entlast) ss))
  (command "_line" (list 3 3) (list 4 4) "")
  (setq ss (ssadd  (entlast) ss))
  (command "_line" (list 4 4) (list 5 5) "")
  (setq ss (ssadd  (entlast) ss))
  ;;-----------------------------
  (setq time1 (getvar "MILLISECS"))
  (if (not time1) (setq time1 (getvar "TDUSRTIMER")))
  (if (not time1) (setq time1 0.0))

  (repeat (* count count)
    (sslength ss)
  )

  (setq time2 (getvar "MILLISECS"))
  (if (not time2) (setq time2 (getvar "TDUSRTIMER")))
  (if (not time2) (setq time2 0.0))
  ;;-----------------------------
  (command "_erase" ss "")
  (setq ss nil)
  ;;-----------------------------
  (setq bench$seconds (if hasMilliSecs (* 0.001 (- time2 time1)) (* 86400.0 (- time2 time1))))
  (princ (strcat "* SSLENGTH : " (rtos bench$seconds 2 3) "\n"))
  (if fptr
    (princ (strcat "* SSLENGTH : " (rtos bench$seconds 2 3) "\n") fptr)
  )
  bench$seconds
)

;; to increase/decrease the number of bench loops : > 1 increase < 1 decrease
(if (not $benchcyclesfactor) (setq $benchcyclesfactor 1))

;; to run this loaded test manually
(defun C:Run ()
  (setvar "cmdecho" 0)
  (print)
  (t_sslength (* 1000 $benchcyclesfactor) nil)
  (setvar "cmdecho" 1)
  (princ)
)
