(setq hasMilliSecs (/= (getvar "MILLISECS") nil))
(setvar "LOGFILEMODE" 0)

(defun t_ssname ( count fptr / time1 time2 ss )
  ;;-----------------------------
  (command "_line" (list 0 0) (list 1 1) (list 2 3) (list 3 3) (list 4 4) (list 5 5) "")
  (setq ss (ssget "X"))
  ;;-----------------------------
  (setq time1 (getvar "MILLISECS"))
  (if (not time1) (setq time1 (getvar "TDUSRTIMER")))
  (if (not time1) (setq time1 0.0))

  (repeat (* count count)
    (ssname ss 0)
    (ssname ss 1)
    (ssname ss 2)
    (ssname ss 3)
    (ssname ss 5)
  )

  (setq time2 (getvar "MILLISECS"))
  (if (not time2) (setq time2 (getvar "TDUSRTIMER")))
  (if (not time2) (setq time2 0.0))
  ;;-----------------------------
  (command "_erase" ss "") (setq ss nil)
  ;;-----------------------------
  (setq bench$seconds (if hasMilliSecs (* 0.001 (- time2 time1)) (* 86400.0 (- time2 time1))))
  (princ (strcat "* SSNAME : " (rtos bench$seconds 2 3) "\n"))
  (if fptr
    (princ (strcat "* SSNAME : " (rtos bench$seconds 2 3) "\n") fptr)
  )
  bench$seconds
)

;; to increase/decrease the number of bench loops : > 1 increase < 1 decrease
(if (not $benchcyclesfactor) (setq $benchcyclesfactor 1))

;; to run this loaded test manually
(defun C:Run ()
  (setvar "cmdecho" 0)
  (print)
  (t_ssname (* 750 $benchcyclesfactor) nil)
  (setvar "cmdecho" 1)
  (princ)
)
