(vl-load-com)
(setvar "LOGFILEMODE" 0)

(defun t_ssget_normal ( count fptr / time1 time2 )

  ;;-----------------------------
  (setq time1 (getvar "TDUSRTIMER"))

  (repeat (* count count)
    (ssget "X" '((0 . "LINE")))
    (ssget "X" '((62 . 32)))
    (ssget "X" '((67 . 0)))
    (ssget "X" '((410 . "Layout1")))
    (ssget "X" '((8 . "1")))
    (ssget "X" '((6 . "ByLayer")))
    (ssget "X" '((370 . -1)))
    (ssget "X" '((48 . 2.0)))
    (ssget "X" '((60 . 1)))
    (ssget "X" '((420 . 123456)))
    (ssget "X" '((430 . "RAL10")))
  )

  (setq time2 (getvar "TDUSRTIMER"))
  (if (not time1) (setq time1 0.0))
  (if (not time2) (setq time2 0.0))
  ;;-----------------------------
  (setq bench$seconds (* 86400.0 (- time2 time1)))
  (princ (strcat "* SSGET-X normal : " (rtos bench$seconds 2 3) "\n"))
  (if fptr
    (princ (strcat "* SSGET-X normal : " (rtos bench$seconds 2 3) "\n") fptr)
  )
  bench$seconds
)

(defun t_ssget_xdata ( count fptr / time1 time2 )

  ;;-----------------------------
  (setq time1 (getvar "TDUSRTIMER"))

  (repeat (* count count)
    (ssget "X" '((-4 . "<OR")
                 (-3 ("AUTOFLUID.REVIT" (1070 . 115) (1071 . 222)))
                 (-3 ("AUTOFLUID.REVIT" (1070 . 116) (1071 . 223)))
                 (-3 ("AUTOFLUID.REVIT" (1070 . 117) (1071 . 224)))
                 (-4 . "OR>")
                )
    )
  )

  (setq time2 (getvar "TDUSRTIMER"))
  (if (not time1) (setq time1 0.0))
  (if (not time2) (setq time2 0.0))
  ;;-----------------------------
  (setq bench$seconds (* 86400.0 (- time2 time1)))
  (princ (strcat "* SSGET-X-XDATA  : " (rtos bench$seconds 2 3) "\n"))
  (if fptr
    (princ (strcat "* SSGET-X-XDATA  : " (rtos bench$seconds 2 3) "\n") fptr)
  )
  bench$seconds
)

;; to run this loaded test manually
(defun C:Run ()
  (setvar "cmdecho" 0)
  (print)
  (t_ssget_normal 25 nil)
  (setvar "cmdecho" 1)
  (princ)
)

;; to run this loaded test manually
(defun C:RunXData ()
  (setvar "cmdecho" 0)
  (print)
  (t_ssget_xdata  25 nil)
  (setvar "cmdecho" 1)
  (princ)
)
