(setq hasMilliSecs (/= (getvar "MILLISECS") nil))
(setvar "LOGFILEMODE" 0)

;;---- global functions, as also defined as local func
(defun _func ()
  (princ)
)

(defun _defun_call ( / var0 var1 var2 var3 var4 func _func )

  (defun func  () (princ))

  (defun _func () (princ))

  (princ)
)

(defun t_defun ( count fptr / time1 time2 )
  ;;-----------------------------
  (setq time1 (getvar "MILLISECS"))
  (if (not time1) (setq time1 (getvar "TDUSRTIMER")))
  (if (not time1) (setq time1 0.0))

  (repeat (* count count)
    (_defun_call)
  )

  (setq time2 (getvar "MILLISECS"))
  (if (not time2) (setq time2 (getvar "TDUSRTIMER")))
  (if (not time2) (setq time2 0.0))
  ;;-----------------------------
  (setq bench$seconds (if hasMilliSecs (* 0.001 (- time2 time1)) (* 86400.0 (- time2 time1))))
  (princ (strcat "* DEFUN : " (rtos bench$seconds 2 3) "\n"))
  (if fptr
    (princ (strcat "* DEFUN : " (rtos bench$seconds 2 3) "\n") fptr)
  )
  bench$seconds
)

;; to increase/decrease the number of bench loops : > 1 increase < 1 decrease
(if (not $benchcyclesfactor) (setq $benchcyclesfactor 1))

;; to run this loaded test manually
(defun C:Run ()
  (setvar "cmdecho" 0)
  (print)
  (t_defun (* 500 $benchcyclesfactor) nil)
  (setvar "cmdecho" 1)
  (princ)
)
