(setq hasMilliSecs (/= (getvar "MILLISECS") nil))
(setvar "LOGFILEMODE" 0)

(defun t_entmake ( count fptr / time1 time2 elist )
  ;;-----------------------------
  (setq elist '((0 . "LINE") (67 . 0) (410 . "Model") (8 . "0") (62 . 4) (10 0 0 0) (11 10 10 10)))
  ;;-----------------------------
  (setq time1 (getvar "MILLISECS"))
  (if (not time1) (setq time1 (getvar "TDUSRTIMER")))
  (if (not time1) (setq time1 0.0))

  (repeat count
    (entmake elist)
  )

  (setq time2 (getvar "MILLISECS"))
  (if (not time2) (setq time2 (getvar "TDUSRTIMER")))
  (if (not time2) (setq time2 0.0))
  ;;-----------------------------
  (command "_erase" "_all" "")
  ;;-----------------------------
  (setq bench$seconds (if hasMilliSecs (* 0.001 (- time2 time1)) (* 86400.0 (- time2 time1))))
  (princ (strcat "* ENTMAKE : " (rtos bench$seconds 2 3) "\n"))
  (if fptr
    (princ (strcat "* ENTMAKE : " (rtos bench$seconds 2 3) "\n") fptr)
  )
  bench$seconds
)

;; to increase/decrease the number of bench loops : > 1 increase < 1 decrease
(if (not $benchcyclesfactor) (setq $benchcyclesfactor 1))

;; to run this loaded test manually
(defun C:Run ()
  (setvar "cmdecho" 0)
  (print)
  (t_entmake (* 5000 $benchcyclesfactor) nil)
  (setvar "cmdecho" 1)
  (princ)
)
