(setq hasMilliSecs (/= (getvar "MILLISECS") nil))
(setvar "LOGFILEMODE" 0)

(defun t_setpropertyvalue ( count fptr / time1 time2 ent )
  ;;-----------------------------
  (setq ent (entmakex (list (cons 0 "POINT") '(10 0 0 0))))
  ;;-----------------------------
  (setq time1 (getvar "MILLISECS"))
  (if (not time1) (setq time1 (getvar "TDUSRTIMER")))
  (if (not time1) (setq time1 0.0))

  (if SetPropertyValue
    (repeat (* count count)
      (SetPropertyValue ent "Thickness" 1.5)
      (SetPropertyValue ent "Thickness" 2.5)
    )
  )

  (setq time2 (getvar "MILLISECS"))
  (if (not time2) (setq time2 (getvar "TDUSRTIMER")))
  (if (not time2) (setq time2 0.0))
  ;;-----------------------------
  (if ent (entdel ent))
  ;;-----------------------------
  (setq bench$seconds (if hasMilliSecs (* 0.001 (- time2 time1)) (* 86400.0 (- time2 time1))))
  (princ (strcat "* SetPropertyValue : " (rtos bench$seconds 2 3) "\n"))
  (if fptr
    (princ (strcat "* SetPropertyValue : " (rtos bench$seconds 2 3) "\n") fptr)
  )
  bench$seconds
)

;; to increase/decrease the number of bench loops : > 1 increase < 1 decrease
(if (not $benchcyclesfactor) (setq $benchcyclesfactor 1))

;; to run this loaded test manually
(defun C:Run ()
  (setvar "cmdecho" 0)
  (print)
  (t_setpropertyvalue (* 200 $benchcyclesfactor) nil)
  (setvar "cmdecho" 1)
  (princ)
)
